#pragma once

#include "Arduino.h"
#include "SSD1306Wire.h"
#include "board.h"
#include "images.h"
#include "dsmrhandler.h"
#include "connection.h"

#define DISPLAY_UPDATE_TIME 200
#define DISPLAY_CYCLE_TIME 3000

typedef enum{
  DISPLAY_INIT,
  DISPLAY_DSMR1,
  DISPLAY_DSMR2,
  DISPLAY_DSMR3,
  DISPLAU_LAST
}e_displayStates;


void initDisplay(void);
void handleDisplay(void);